Future of the visual editor newsletter
Closed, ResolvedPublic8 Story Points

Description

At some point we'll want to re-think this newsletter.
Related work should start by listing alternatives.
We may even survey "stakeholders", that is, both people in Editing and our readers, to find out more about their preferences and get a better sense of where we should go.

Elitre created this task.Jul 4 2016, 5:27 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 4 2016, 5:27 PM
Qgil triaged this task as Low priority.Jul 5 2016, 5:27 AM

I'm interested by that, in order to define a better scope for T112864: Create a newsletter about Collaboration team products. I'll probably release newsletters before you work on that task though.

Qgil added a subscriber: Qgil.Jul 5 2016, 12:16 PM

fwiw

I think T137825: Recommendations for publishing project updates is kind of a blocker of this task. Let's agree how WMF Product teams should keep communities up to date, having in mind specific cases like the Collaboration. As far as I know the rest of verticals have similar problems, and it is better to think on good general solutions rather than Collaboration's in isolation.

This task welcomes an owner...

Not sure whether this is the right place to note it, but FYI that Editing now puts "updates" at https://www.mediawiki.org/wiki/Editing#Progress_on_annual_plan.2C_quarterly_goals_and_other_work .

Jdforrester-WMF set the point value for this task to 8.Nov 15 2016, 6:17 PM
Elitre added a subscriber: Deskana.Jun 20 2017, 3:19 PM

Paging @Deskana to see whether he has thoughts on this. https://meta.wikimedia.org/wiki/VisualEditor/Newsletter/2017/May is what the newsletter now looks like.

Paging @Deskana to see whether he has thoughts on this. https://meta.wikimedia.org/wiki/VisualEditor/Newsletter/2017/May is what the newsletter now looks like.

What is the intended purpose of a VisualEditor-specific newsletter? "Keeping stakeholders up to date" is the obvious answer, but is there more history than that? Did it start as a result of the troubled deployment history? As a result of user misconceptions about the product?

Where we go from here depends on these questions. I have a few ideas, but I want to hear the reason things are the way they are before assuming I know how to make it better. ;-)

See https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Updates if you want to see all (almost all?) of them. The early ones were mostly lists of bugs that got resolved.

The purpose of this conversation is to determine what the (current) purpose is.

As you can see, despite the page title, it is actually already featuring more general Editing info.
I think the historical purpose was that there is just so much work behind the product and continuous updates to it, that the community needs a place that collects them all, presents them in a language that humans can understand, shows progress over time, flags the most interesting and useful new features, gives a heads-up about major changes. Tech News wasn't enough for this, whatever page Audiences was using for updates was also not good enough, and this format (hundreds of subscribers across wikis, and translated in 20+ languages) seems to work so far. (It's also been used as a model for other product newsletters.)

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Tagging with Editing Team then.

Yeah, it probably wouldn't hurt to have a broader conversation, but given that this is the end of a quarter, and the so many recent changes, ... it's probably not the best moment - it should stay in the radar though.

We should also bear T104131 in mind.

Elitre claimed this task.Sep 5 2017, 6:39 AM
Elitre moved this task from Backlog to September on the Community-Liaisons (Jul-Sep 2017) board.

I had inquired about using the new Newsletter extension at mw.org, but this may be premature or just not worth it. Tasks such as https://phabricator.wikimedia.org/T174664 and https://phabricator.wikimedia.org/T110645 apply.

Elitre closed this task as Resolved.Sep 29 2017, 1:13 PM

This was discussed in a meeting and we agreed to no changes for the time being, but maybe experiment a bit with little additions (for example, how about flagging an item for the Parsing team next time).

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 29 2017, 1:13 PM
Qgil awarded a token.Sep 29 2017, 2:19 PM

We did something similar last time. https://meta.wikimedia.org/wiki/VisualEditor/Newsletter/2017/May#Future_changes has two items about the old wikitext editors.